#pragma once
#include "afxwin.h"
#include "AddAttendeeLogic.h"
#include "demoAddHwmConfAttendeeDlg.h"

// demoAddAttendeeDlg 对话框

class demoAddAttendeeDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoAddAttendeeDlg)

public:
    demoAddAttendeeDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoAddAttendeeDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_ADD_ATTENDEE_DIALOG };
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
public:
    
    int clickAddAttendee();
    afx_msg void OnBnClickedButtonOk();
    afx_msg void OnBnClickedButtonAddHwmConfAttendee();
    afx_msg void OnBnClickedButtonDeleteHwmConfAttendee();

    void fillAttendees();
private:
    CButton m_btnAddAttendee;

    CEdit m_editDeleteAttendee;
    CButton m_btnDeleteAttendee;
    
    CEdit m_attendeesEdit;

    AddAttendeeLogic<hwmsdkagent::HwmConfAttendee, demoAddHwmConfAttendeeDlg> m_addAttendeeLogic;
};
